
package de.ivu.elect.was.exchange.ergebnis;

import javax.enterprise.inject.Instance;
import javax.inject.Inject;

import de.ivu.elect.business.ergebnis.control.NlWasModelNa141BulkExportExchange;
import de.ivu.elect.core.exchange.wahl.AbstractDefaultNlExportArtefaktNachSystemExportstatusBulkExportExchange;

public class DefaultNlWasModelNa141BulkExportExchange extends AbstractDefaultNlExportArtefaktNachSystemExportstatusBulkExportExchange implements NlWasModelNa141BulkExportExchange {

  @Inject
  private transient Instance<NlWasModelNa141BulkExportMapper> mappers;

  public DefaultNlWasModelNa141BulkExportExchange() {
    super();
  }

  @Override
  protected Iterable< ? extends NlWasModelNa141BulkExportMapper> getAllSupportedMapper() {
    return mappers;
  }
}
